Skip to main content
https://.thoughtindustries.com

Recertify

Triggers recertification for a user on a specific certified resource

Triggers recertification for a user on a specific certified resource.

POSThttps://example.thoughtindustries.com/incoming/v2/users/:id/recertify

Example request

curl -X POST "https://example.thoughtindustries.com/incoming/v2/users/:id/recertify" \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "userId": "00000000-0000-0000-0000-000000000000",
  "resourceType": "string",
  "resourceId": "00000000-0000-0000-0000-000000000000"
}'

Parameters

NameTypeRequiredLocationDescription
idstringYespathThe id identifier.
userIduuidYesbodyThe UUID of the user to recertify.
resourceTypeCertificateResourceTypeYesbodyThe type of resource for which recertification is being issued (e.g., a course or learning path).
resourceIduuidYesbodyThe UUID of the resource for which recertification is being issued.

Example response

{
  "data": {
    "APIRecertifyUser": true
  }
}